SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002977: Postfix errors (database is older than source file) - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002977Endian FirewallProxy SMTPpublic2010-06-04 18:392011-04-28 14:03
Reporterbaldy 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version2.4 
Target VersionfutureFixed in Version 
Summary0002977: Postfix errors (database is older than source file)
DescriptionPostfix gives a few minor errors which can be easily fixed.

warning: database /etc/postfix/relay_domains.db is older than source file /etc/postfix/relay_domains
warning: database /etc/postfix/transport.db is older than source file /etc/postfix/transport
warning: database /etc/postfix/sender_rules.db is older than source file /etc/postfix/sender_rules
warning: database /etc/postfix/recipient_rules.db is older than source file /etc/postfix/recipient_rules

These errors can be fixed with the following commands.

postmap /etc/postfix/transport
postmap /etc/postfix/relay_domains
postmap /etc/postfix/sender_rules
postmap /etc/postfix/recipient_rules

After that a restartsmtpscan.py to reload postfix.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004694)
baldy (reporter)
2010-08-23 16:54

Problem reoccurs after time, might be useful to add a script to cron daily or weekly to update the databases.
(0006156)
luca-endian (developer)
2011-04-28 11:08

hi baldy are there any known problems related to this errors?
(0006157)
ardit-endian (developer)
2011-04-28 13:08

happened one time to me when debugging one system but I think there is no high impact.
(0006158)
baldy (reporter)
2011-04-28 14:03

Hi Luca,

No known problems, just an error that should be fixed.

Maybe somewhere in the startup scripts in a future version.

Regards,

Baldy

- Issue History
Date Modified Username Field Change
2010-06-04 18:39 baldy New Issue
2010-06-07 08:23 peter-endian Status new => confirmed
2010-06-07 13:11 peter-endian Target Version => future
2010-08-23 16:54 baldy Note Added: 0004694
2010-09-21 18:47 peter-endian Summary Postfix errors => Postfix errors (database is older than source file)
2011-04-28 11:08 luca-endian Note Added: 0006156
2011-04-28 13:08 ardit-endian Note Added: 0006157
2011-04-28 14:03 baldy Note Added: 0006158
2011-05-31 07:41 ardit-endian Tag Attached: purple
2011-05-31 07:42 ardit-endian Tag Detached: purple

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker